package cn.pluss.platform.agreement;

import java.util.List;
import java.util.Map;
import cn.pluss.platform.entity.Agreement;

public interface AgreementService {

    public Agreement queryAgreement(Agreement agreement);

    public List<Agreement> queryAgreementList(Agreement agreement);

    public void saveAgreement(Agreement agreement);

    public void updateAgreement(Agreement agreement);

    public void deleteAgreement(Agreement agreement);

    public List<Agreement> queryAgreementPage(Map map);

    public Integer queryAgreementPageCount(Map map);

    public void saveAgreementBatch(List<Agreement> agreementList);
}

